From 4c8c790dc97488a2052c206059df1a70425c98d0 Mon Sep 17 00:00:00 2001
From: Merlijn Wajer <merlijn@wizzup.org>
Date: Sat, 9 Oct 2021 00:54:03 +0200
Subject: [PATCH] Update debian dependencies, remove gvfs includes

---
 configure.ac        | 11 ++++-------
 mappero/Makefile.am |  1 +
 src/gps.c           |  4 ++--
 src/types.h         |  1 -
 4 files changed, 7 insertions(+), 10 deletions(-)

diff --git a/configure.ac b/configure.ac
index a7c9ef0..1a1843f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -58,10 +58,6 @@ PKG_CHECK_MODULES(GTK, gtk+-2.0)
 AC_SUBST(GTK_LIBS)
 AC_SUBST(GTK_CFLAGS)
 
-PKG_CHECK_MODULES(GNOME_VFS, gnome-vfs-2.0 >= 2.8.4.11 gnome-vfs-module-2.0 >= 2.8.4.11)
-AC_SUBST(GNOME_VFS_LIBS)
-AC_SUBST(GNOME_VFS_CFLAGS)
-
 PKG_CHECK_MODULES(GIO, gio-2.0)
 AC_SUBST(GIO_LIBS)
 AC_SUBST(GIO_CFLAGS)
@@ -118,7 +114,7 @@ AC_SUBST(HILDON_CFLAGS)
 AC_SUBST(LOCATION_LIBS)
 AC_SUBST(LOCATION_CFLAGS)
 
-PKG_CHECK_MODULES(CLUTTER, clutter-1.0 clutter-gtk-0.10)
+PKG_CHECK_MODULES(CLUTTER, clutter-1.0 clutter-gtk-1.0)
 AC_SUBST(CLUTTER_LIBS)
 AC_SUBST(CLUTTER_CFLAGS)
 
@@ -126,7 +122,7 @@ PKG_CHECK_MODULES(CAIRO, cairo)
 AC_SUBST(CAIRO_LIBS)
 AC_SUBST(CAIRO_CFLAGS)
 
-PKG_CHECK_MODULES(GSTREAMER, gstreamer-0.10)
+PKG_CHECK_MODULES(GSTREAMER, gstreamer-1.0)
 AC_SUBST(GSTREAMER_LIBS)
 AC_SUBST(GSTREAMER_CFLAGS)
 
@@ -159,7 +155,8 @@ if test "x$checks" = "xno"; then
     CFLAGS="$CFLAGS -DG_DISABLE_CHECKS"
 fi
 
-CFLAGS="-std=c99 -Wall -Werror -Wno-switch $CFLAGS"
+CFLAGS="-std=c99 -Wall -Wno-switch $CFLAGS"
+#CFLAGS="-std=c99 -Wall -Werror -Wno-switch $CFLAGS"
 
 # Localisation
 localedir=`$PKG_CONFIG osso-af-settings --variable=localedir`
diff --git a/mappero/Makefile.am b/mappero/Makefile.am
index 1d49353..5183c7e 100644
--- a/mappero/Makefile.am
+++ b/mappero/Makefile.am
@@ -40,6 +40,7 @@ libmappero_la_CFLAGS = \
 	$(GIO_CFLAGS) \
 	$(GTK_CFLAGS) \
 	$(LIBXML2_CFLAGS) \
+	-lgmodule-2.0 \
 	-I$(top_srcdir) \
 	-DG_LOG_DOMAIN=\"mappero\"
 
diff --git a/src/gps.c b/src/gps.c
index 83e9777..dc5db2c 100644
--- a/src/gps.c
+++ b/src/gps.c
@@ -32,8 +32,8 @@
 #include <string.h>
 #include <math.h>
 
-#include <libgnomevfs/gnome-vfs.h>
-#include <libgnomevfs/gnome-vfs-inet-connection.h>
+//#include <libgnomevfs/gnome-vfs.h>
+//#include <libgnomevfs/gnome-vfs-inet-connection.h>
 #include <errno.h>
 
 #ifndef LEGACY
diff --git a/src/types.h b/src/types.h
index c27d190..928157e 100644
--- a/src/types.h
+++ b/src/types.h
@@ -39,7 +39,6 @@
 #include <time.h>
 #include <gdbm.h>
 #include <gtk/gtk.h>
-#include <libgnomevfs/gnome-vfs.h>
 
 #define _(String) gettext(String)
 
-- 
2.20.1

